Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
TdjHandlerWrapper Class Reference

A HandlerWrapper acts as a IHandler but delegates the handle method and life cycle events to a delegate. More...

Inheritance diagram for TdjHandlerWrapper:

## Public Member Functions
| AddHandler (const IHandler Handler)
| Add a handler to the container.
| RemoveHandler (const IHandler Handler)
| Remove a handler from the container.
| DoStart ()
| Start the handler.
| DoStop ()
| Stop the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjAbstractHandler
| TdjAbstractHandler ()
| Constructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Start the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
IHandler | Handler
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Protected Member Functions
TIdHTTPSession | GetSession (TdjServerContext Context, TdjRequest Request, TdjResponse Response, const Boolean Create)
| Get a HTTP session.
Protected Member Functions inherited from TdjAbstractHandlerContainer
| AddHandler (const IHandler Handler)
| Add a handler.
| RemoveHandler (const IHandler Handler)
| Remove a handler.
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

A HandlerWrapper acts as a IHandler but delegates the handle method and life cycle events to a delegate.

This is primarily used to implement the Decorator pattern.

## Member Function Documentation

## ◆ AddHandler()

TdjHandlerWrapper::AddHandler | ( | const IHandler | Handler | ) |

Add a handler to the container.

This implementation of AddHandler calls SetHandler with the passed handler. If this HandlerWrapper had a previous wrapped handler, then it is passed to a call to AddHandler on the passed handler.

Parameters

  Handler | the handler to be added

References Handler.

Referenced by TdjServer::TdjServer(), and TdjWebComponentContextHandler::TdjWebComponentContextHandler().

## ◆ Handle()

TdjHandlerWrapper::Handle | ( | const string | Target,
|  | TdjServerContext | Context,
|  | TdjRequest | Request,
|  | TdjResponse | Response )

Handle a HTTP request.

Parameters

  Target | Request target
  Context | HTTP server context
  Request | HTTP request
  Response | HTTP response

Exceptions

  EWebComponentException | if an exception occurs that interferes with the component's normal operation

See also
  IHandler

References Handler.

## ◆ RemoveHandler()

TdjHandlerWrapper::RemoveHandler | ( | const IHandler | Handler | ) |

Remove a handler from the container.

Parameters

  Handler | the handler to be removed

References Handler.

## Member Data Documentation

## ◆ Handler

IHandler TdjHandlerWrapper::Handler

See also
  GetHandler For reading
  SetHandler For writing

Referenced by AddHandler(), DoStop(), Handle(), and RemoveHandler().